diff -u -r rxtx-2.0-7pre2_original/Makefile.in rxtx-2.0-7pre2_patched/Makefile.in
--- rxtx-2.0-7pre2_original/Makefile.in	2004-04-15 08:07:57.000000000 +0100
+++ rxtx-2.0-7pre2_patched/Makefile.in	2009-02-21 16:46:13.000000000 +0000
@@ -442,13 +442,15 @@
 #  install librxtxSerial.so into the proper directory and copy $(JARTARGET) to its
 #  proper location
 install: all
+	$(INSTALL_PROGRAM) -d $(DESTDIR)$(RXTX_PATH)
 	@$(LIBTOOL_INST) \
 	`for i in $(TARGETLIB);do \
 		if [ -f $$i ];then \
 			echo $$i; \
 		fi; \
-	done` $(RXTX_PATH)
-	$(INSTALL_PROGRAM) $(JARTARGET) $(JHOME)/
+	done` $(DESTDIR)$(RXTX_PATH)
+	$(INSTALL_PROGRAM) -d $(DESTDIR)$(JHOME)
+	$(INSTALL_DATA) $(JARTARGET) $(DESTDIR)$(JHOME)/
 
 clean-generic:
 	rm -rf $(DEST) $(TOP)/$(CLASSTOP)
diff -u -r rxtx-2.0-7pre2_original/configure rxtx-2.0-7pre2_patched/configure
--- rxtx-2.0-7pre2_original/configure	2005-01-17 18:52:47.000000000 +0000
+++ rxtx-2.0-7pre2_patched/configure	2009-02-21 16:46:53.000000000 +0000
@@ -10066,10 +10066,10 @@
 fi
 if  test -d $JPATH/share/kaffe/
 	then fix_comm_jar $JPATH/share/kaffe/comm.jar
-elif  test -d $JPATH/jre/lib/ext
-	then fix_comm_jar $JPATH/jre/lib/ext/comm.jar
 elif  test -d $JPATH/lib/ext
 	then fix_comm_jar $JPATH/lib/ext/comm.jar
+elif  test -d $JPATH/jre/lib/ext
+	then fix_comm_jar $JPATH/jre/lib/ext/comm.jar
 elif  test -d $JPATH/lib
 	then fix_comm_jar $JPATH/lib/comm.jar
 fi
@@ -10079,13 +10079,16 @@
  case $OS_NAME in
 Linux)
 	LDFLAGS=-lpthread
-	check_kernel_headers
 	check_java_headers
 	CFLAGS=$CFLAGS" -D__need_timespec"
 	case $JAVA_VERSION in
 
+        1.6*)
+		CLASSPATH=".:\$(TOP):\$(TOP)/src:"`find $JPATH/ -name comm.jar |head -n1`
+		JHOME=$JPATH"/lib/ext"
+		RXTX_PATH="\$(JPATH)/lib/\$(OS_ARCH)"
+	;;
 	1.2*|1.3*|1.4*|1.5*)
-		fix_parameters $JPATH/jre/lib/javax.comm.properties
 		CLASSPATH=".:\$(TOP):\$(TOP)/src:"`find $JPATH/ -name comm.jar |head -n1`
 		JHOME=$JPATH"/jre/lib/ext"
 		RXTX_PATH="\$(JPATH)/jre/lib/\$(OS_ARCH)"
diff -u -r rxtx-2.0-7pre2_original/src/SerialImp.c rxtx-2.0-7pre2_patched/src/SerialImp.c
--- rxtx-2.0-7pre2_original/src/SerialImp.c	2005-01-17 17:48:41.000000000 +0000
+++ rxtx-2.0-7pre2_patched/src/SerialImp.c	2009-02-21 16:46:13.000000000 +0000
@@ -295,6 +295,7 @@
   gettimeofday (&seloop, NULL);
 #endif /* DEBUG_TIMING */
 #if defined(DEBUG) && defined(__linux__)
+#if 0
   /* Lets let people who upgraded kernels know they may have problems */
   if (uname (&name) == -1)
     {
@@ -310,6 +311,7 @@
       getchar ();
     }
   LEAVE ("RXTXPort:Initialize");
+#endif
 #endif /* DEBUG && __linux__ */
 }
 
diff -u -r rxtx-2.0-7pre2_original/src/SerialImp.cpp rxtx-2.0-7pre2_patched/src/SerialImp.cpp
--- rxtx-2.0-7pre2_original/src/SerialImp.cpp	2003-10-17 11:11:08.000000000 +0100
+++ rxtx-2.0-7pre2_patched/src/SerialImp.cpp	2009-02-21 16:46:13.000000000 +0000
@@ -130,6 +130,7 @@
 	if( !handler.sa_handler ) signal( SIGIO, SIG_IGN );
 #endif /* !__FreeBSD__ */
 #ifdef DEBUG
+#if 0
 	/* Lets let people who upgraded kernels know they may have problems */
 	if (uname (&name) == -1)
 	{
@@ -142,6 +143,7 @@
 			name.release);
 		getchar();
 	}
+#endif
 #endif /* DEBUG */
 #endif /* __BEOS__ */
 #endif /* WIN32 */
